> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Check status of folder archive task

GET https://apiqana11.springcm.com/v2/{accountId}/folderarchivetasks/{taskid}

The ID is returned by the folderarchivetasks POST method.

Developing with the CLM API is only available
for CLM customers with a production account.
To purchase a plan to gain access to the CLM API,
contact [Docusign Sales](https://www.docusign.com/contact-sales).

Reference: https://developers.docusign.com/docs/clm-api/reference/tasks/folderarchivetasks/get

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — Docusign OAuth 2.0 access token, sent as `Authorization: Bearer <token>`.

## Servers

- `https://apiqana11.springcm.com/v2` (Demo, default)
- `https://apina11.springcm.com/v2` (Production)

## Request

### Path parameters

- `taskid` (string, required) — ID of FolderArchiveTask.
- `accountId` (string, required) — The ID of the Docusign account.

## Response

### 200

OK

- `ArchiveSize` (long, optional) — Zip size in bytes
- `Message` (string, optional) — Additional explanation of the status (if any)
- `DownloadUrl` (string, optional) — The URI where the document can be downloaded, if no destination folder is provided
- `DestinationDocumentName` (string, optional) — If the result of the asynchronous task is to be saved in a SpringCM permanent storage, this is the name of the new document
- `Status` (string, optional) — Current status of the asynchronous task
- `Href` (string, optional) — Uri where the object can be retrieved.
- `BaseFolder` (TaskFolderArchiveTaskBaseFolder, optional) — Folder used as base when reconstructing folder and file structure in zip
- `DocumentsToZip` (TaskFolderArchiveTaskDocumentsToZip, optional) — Documents to be included in archive
- `FoldersToZip` (TaskFolderArchiveTaskFoldersToZip, optional) — Folders to be included in archive
- `ResultDocument` (TaskFolderArchiveTaskResultDocument, optional) — The document that is created as a result of this task
- `DestinationFolder` (TaskFolderArchiveTaskDestinationFolder, optional) — If the result of the asynchronous task is to be saved in a SpringCM permanent storage, this is the folder where the new document should be placed

## Types

### TaskFolderArchiveTaskBaseFolder

Folder used as base when reconstructing folder and file structure in zip

- Folder: Folder

### TaskFolderArchiveTaskDocumentsToZip

Documents to be included in archive

- ApiCollection_Document_: ApiCollection_Document_

### TaskFolderArchiveTaskFoldersToZip

Folders to be included in archive

- ApiCollection_Folder_: ApiCollection_Folder_

### TaskFolderArchiveTaskResultDocument

The document that is created as a result of this task

- Document: Document

### TaskFolderArchiveTaskDestinationFolder

If the result of the asynchronous task is to be saved in a SpringCM permanent storage, this is the folder where the new document should be placed

- Folder: Folder

### Folder

A folder in the account

- `Name` (string, optional) — Name of the folder. This property is required to create a non-EOS folder along with ParentFolder. Filterable and sortable
- `CreatedDate` (datetime, optional) — Date and time folder was created. Sortable
- `CreatedBy` (string, optional) — Username of user that created the folder. Sortable
- `UpdatedDate` (datetime, optional) — Date and time folder was last updated. Sortable
- `UpdatedBy` (string, optional) — Username of user that last updated the folder. Sortable
- `Description` (string, optional) — Description of the folder. Filterable and sortable
- `BrowseDocumentsUrl` (string, optional) — Uri where the contents of this folder can be viewed in a browser
- `Path` (string, optional) — The file path of the folder within the account's folder structure
- `AttributeGroups` (FolderAttributeGroups, optional) — Attribute groups saved on the folder
- `PropagateAttributeGroupsToChildren` (boolean, optional) — Propagate Attribute groups on the folder to it's children
- `CreateDocumentHref` (string, optional) — Uri for uploading a document into the folder
- `Href` (string, optional) — Uri where the object can be retrieved.
- `ParentFolder` (FolderParentFolder, optional) — Folder that contains this folder. Required along with Name when creating a non-EOS folder
- `AccessLevel` (FolderAccessLevel, optional) — Permissions on the folder for the current user
- `Documents` (FolderDocuments, optional) — Documents contained within the folder
- `Folders` (FolderFolders, optional) — Folders contained within the folder (i.e. subfolders)
- `EosInfo` (FolderEosInfo, optional) — External object storage information for the folder. Used when creating a new EOS folder. Exclude Name and ParentFolder when creating a folder with EOSInfo
- `EosParentInfo` (FolderEosParentInfo, optional) — External object storage information for the next EOS object up the tree from this folder. If the folder is contained directly within an EOS object, this is the EOS info for the parent folder
- `ShareLinks` (FolderShareLinks, optional) — Share links that have been created for the folder
- `Security` (FolderSecurity, optional) — Security rules currently defined for the folder

### ApiCollection_Document_

- `Items` (list of Document, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_Folder_

- `Items` (list of Folder, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### Document

Document

- `Name` (string, optional) — Name of the document. Filterable and sortable
- `CreatedDate` (datetime, optional) — Created date of the document. Sortable
- `CreatedBy` (string, optional) — Username of the user that created the document. Sortable
- `UpdatedDate` (datetime, optional) — Last updated date for the document. Sortable
- `UpdatedBy` (string, optional) — Username of the user that last updated the document. Sortable
- `Description` (string, optional) — Description of the document. Filterable and sortable
- `Path` (string, optional) — The file path of the document within the account's folder structure
- `AttributeGroups` (DocumentAttributeGroups, optional) — Attribute groups saved on the document
- `PageCount` (integer, optional) — The page length of the document
- `LockStatus` (string, optional) — Indicates the checked-out status of the latest version of the document. This field is populated for the latest version of the document. Load Lock Object for more details.
- `IsInTrash` (boolean, optional) — Whether the document is in trash or not
- `Version` (string, optional) — Version number of the document. Increments as the document is checked out and checked back in
- `PreviewUrl` (string, optional) — Uri where a preview of the document can be viewed
- `DownloadDocumentHref` (string, optional) — Uri where the document can be downloaded
- `Score` (float, optional) — ElasticSearch relevancy score
- `Uid` (string, optional) — Document Uid
- `NativeFileSize` (long, optional) — File size in bytes
- `PdfFileSize` (long, optional) — PDF rendition of file size in bytes
- `ContentCreatedDate` (datetime, optional) — Date when the document was ingested/uploaded
- `Extension` (string, optional) — Document extension
- `Href` (string, optional) — Uri where the object can be retrieved.
- `ParentFolder` (DocumentParentFolder, optional) — Folder containing the document
- `HistoryItems` (DocumentHistoryItems, optional) — A history of actions performed on the document
- `AccessLevel` (DocumentAccessLevel, optional) — Permissions on the document for the current user
- `EosParentInfo` (DocumentEosParentInfo, optional) — Information about the external object storage folder that contains the document
- `Lock` (DocumentLock, optional) — The current lock status of the document
- `Versions` (DocumentVersions, optional) — Other versions of the document
- `ShareLinks` (DocumentShareLinks, optional) — Share links that have been created for the document
- `DocumentProcessTrackingActivities` (DocumentDocumentProcessTrackingActivities, optional) — Workflow user steps containing the document
- `DocumentReminders` (DocumentDocumentReminders, optional) — Document reminders set for the document
- `RelatedDocuments` (DocumentRelatedDocuments, optional) — Related documents
- `AttachedDocuments` (DocumentAttachedDocuments, optional) — Attached documents
- `WorkItems` (DocumentWorkItems, optional) — Work items for the document

### FolderAttributeGroups

Attribute groups saved on the folder

### FolderParentFolder

Folder that contains this folder. Required along with Name when creating a non-EOS folder

- Folder: Folder

### FolderAccessLevel

Permissions on the folder for the current user

- AccessLevel: AccessLevel

### FolderDocuments

Documents contained within the folder

- ApiCollection_Document_: ApiCollection_Document_

### FolderFolders

Folders contained within the folder (i.e. subfolders)

- ApiCollection_Folder_: ApiCollection_Folder_

### FolderEosInfo

External object storage information for the folder. Used when creating a new EOS folder. Exclude Name and ParentFolder when creating a folder with EOSInfo

- EosInfo: EosInfo

### FolderEosParentInfo

External object storage information for the next EOS object up the tree from this folder. If the folder is contained directly within an EOS object, this is the EOS info for the parent folder

- EosInfo: EosInfo

### FolderShareLinks

Share links that have been created for the folder

- ApiCollection_ShareLink_: ApiCollection_ShareLink_

### FolderSecurity

Security rules currently defined for the folder

- Securities: Securities

### DocumentAttributeGroups

Attribute groups saved on the document

### DocumentParentFolder

Folder containing the document

- Folder: Folder

### DocumentHistoryItems

A history of actions performed on the document

- ApiCollection_HistoryItem_: ApiCollection_HistoryItem_

### DocumentAccessLevel

Permissions on the document for the current user

- AccessLevel: AccessLevel

### DocumentEosParentInfo

Information about the external object storage folder that contains the document

- EosInfo: EosInfo

### DocumentLock

- `IsLocked` (boolean, optional) — If the document is locked
- `LockDate` (datetime, optional) — When the document was locked. Null if the document is not locked
- `Type` (string, optional) — Type of document lock. Possibilities: not checked out, checked out, out for signature
- `Comment` (string, optional) — Comment provided by the user when the document was locked
- `CheckInHref` (string, optional) — If the document is checked out, this is the URI where it can be checked in
- `SignatureHref` (string, optional) — If the lock due to a pending signature(s), this is the URI for checking signature status
- `Href` (string, optional) — Uri where the object can be retrieved.
- `LockOwner` (DocumentLockLockOwner, optional) — The owner of the lock. Null if not locked

### DocumentVersions

Other versions of the document

- ApiCollection_Document_: ApiCollection_Document_

### DocumentShareLinks

Share links that have been created for the document

- ApiCollection_ShareLink_: ApiCollection_ShareLink_

### DocumentDocumentProcessTrackingActivities

Workflow user steps containing the document

- ApiCollection_DocumentProcessTrackingActivity_: ApiCollection_DocumentProcessTrackingActivity_

### DocumentDocumentReminders

Document reminders set for the document

- ApiCollection_DocumentReminder_: ApiCollection_DocumentReminder_

### DocumentRelatedDocuments

Related documents

- ApiCollection_Document_: ApiCollection_Document_

### DocumentAttachedDocuments

Attached documents

- ApiCollection_Document_: ApiCollection_Document_

### DocumentWorkItems

Work items for the document

- ApiCollection_WorkItem_: ApiCollection_WorkItem_

### AccessLevel

- `See` (boolean, optional) — If the user can see the object in the folder tree
- `Read` (boolean, optional) — If the user can read the object's content
- `Write` (boolean, optional) — If the user can modify the object's content
- `Move` (boolean, optional) — If the user can move the object
- `Create` (boolean, optional) — If the user can create a child of the object
- `SetAccess` (boolean, optional) — If the user can modify permissions on the object

### EosInfo

- `Name` (string, optional) — Name of the object
- `Path` (string, optional) — The external object storage path for this object
- `ObjectId` (string, optional) — The external object storage identifier for this object
- `ObjectType` (string, optional) — The external object storage type for this object
- `Folder` (string, optional) — Uri of the folder object corresponding to this external object storage object

### ApiCollection_ShareLink_

- `Items` (list of ShareLink, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### Securities

- `Roles` (list of Security_1_System.String_, optional) — Role-based security specifications
- `Groups` (list of Security_1_Group_, optional) — Group-based security specifications. Excludes distribution groups
- `Users` (list of Security_1_User_, optional) — User-based security specifications

### ApiCollection_HistoryItem_

- `Items` (list of HistoryItem, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### DocumentLockLockOwner

The owner of the lock. Null if not locked

- User: User

### ApiCollection_DocumentProcessTrackingActivity_

- `Items` (list of DocumentProcessTrackingActivity, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_DocumentReminder_

- `Items` (list of DocumentReminder, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_WorkItem_

- `Items` (list of WorkItem, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ShareLink

- `Url` (string, optional) — Uri of where the shared object can be viewed
- `ExpirationDate` (datetime, optional) — Date and time when the share link expires. Required when creating a new share link (must be set to a future date). Can be in the past when updating a share link. Sortable
- `AllowNativeDownload` (boolean, optional) — Only applies for shared documents. True if the document can be downloaded in native format as part of the terms of being shared. Sortable
- `AllowPdfDownload` (boolean, optional) — Only applies for shared documents. True if the document can be downloaded in PDF format as part of the terms of being shared. Sortable
- `PreviewBehavior` (string, optional) — Behavior when user navigates to URL for a shared document (does not apply to a shared folder). Possible values are: Preview, DownloadNative, DownloadPdf, DownloadInline. Filterable and sortable
- `CreatedBy` (string, optional) — Username of the user that created the share link
- `UpdatedBy` (string, optional) — Username of the user that last updated the share link
- `CreatedDate` (datetime, optional) — Date and time that the share link was created. Sortable
- `UpdatedDate` (datetime, optional) — Date and time that the share link was last updated. Sortable
- `Href` (string, optional) — Uri where the object can be retrieved.
- `Folder` (ShareLinkFolder, optional) — Folder shared by the share link. Folder or Document is required when creating a new share link, but not both. Will be null if the share link is for a document
- `Document` (ShareLinkDocument, optional) — Document shared by the share link. Document or Folder is required when creating a new share link, but not both. Will be null if the share link is for a folder

### Security_1_System.String_

- `Item` (string, optional) — Entity that has the access described in AccessType. Can be a Role, Group, or User depending on security type
- `AccessType` (string, optional) — Access type permitted. Allowed values are InheritFromParentFolder, NoAccess, View, ViewCreate, ViewEdit, ViewEditDelete, ViewEditDeleteSetAccess, and Custom

### Security_1_Group_

- `Item` (Group, optional)
- `AccessType` (string, optional) — Access type permitted. Allowed values are InheritFromParentFolder, NoAccess, View, ViewCreate, ViewEdit, ViewEditDelete, ViewEditDeleteSetAccess, and Custom

### Security_1_User_

- `Item` (User, optional)
- `AccessType` (string, optional) — Access type permitted. Allowed values are InheritFromParentFolder, NoAccess, View, ViewCreate, ViewEdit, ViewEditDelete, ViewEditDeleteSetAccess, and Custom

### HistoryItem

- `UserEmail` (string, optional) — Email address of the user who performed the action represented by the history item. Filterable and Sortable
- `Action` (string, optional) — Action represented by the history item. Filterable and sortable
- `MoreInfo` (string, optional) — Additional information associated with the history item. Filterable
- `Comment` (string, optional) — Comment given when history item was created. Filterable
- `CreatedDate` (datetime, optional) — Date and time that the action represented by the history item was performed. Sortable
- `User` (HistoryItemUser, optional) — User who performed the action represented by the history item. Filterable and Sortable
- `RelatedDocument` (HistoryItemRelatedDocument, optional) — Additional document (not the owner of the history item) that is related to the action. e.g. if the document was created by splitting another document, RelatedDocument is the document that was split

### User

- `UserName` (string, optional) — The username associated with the user, used for logging in. Unique identifier for the user. Filterable and sortable
- `Email` (string, optional) — Email address belonging to the user. Generally matches the username. Required when creating a new user. Filterable and sortable
- `FirstName` (string, optional) — First name of the user. This property required to when creating a new user. Filterable and sortable
- `LastName` (string, optional) — Last name of the user. This property required to when creating a new user. Filterable and sortable
- `Address1` (string, optional) — Line one of the user's address. Sortable
- `Address2` (string, optional) — Line two of the user's address. Sortable
- `Address3` (string, optional) — Line three of the user's address. Sortable
- `City` (string, optional) — City portion of the user's address. Sortable
- `State` (string, optional) — State portion of the user's address. Sortable
- `ZipCode` (string, optional) — Zip code portion of the user's address. Sortable
- `Title` (string, optional) — The user's title. Sortable
- `Company` (string, optional) — The user's company. Filterable and sortable
- `Department` (string, optional) — The user's department. Sortable
- `EnableStartDate` (datetime, optional) — Date and time when the user will become enabled in the account. If null, user is not scheduled to be enabled. Sortable
- `EnableEndDate` (datetime, optional) — Date and time when the user will become disabled in the account. If null, user is not scheduled to be disabled. Sortable
- `FaxNumber` (string, optional) — The user's fax number. Sortable
- `PhoneNumber` (string, optional) — The user's phone number. Sortable
- `SendActivationEmail` (boolean, optional) — Used only when creating a new user. Determines whether to send the user an activation email
- `Role` (string, optional) — Role of the user in the account. Determines access and privileges in many places. Required property when creating a new user. Possible values are: Guest, LimitedSubscriber, FullSubscriber, UserAdministrator, SuperAdministrator. Filterable
- `PortalOnly` (boolean, optional) — If a user is portal only, they are only allowed access through integration with third party systems and not through the main login page
- `Country` (string, optional) — The user's country
- `CreatedDate` (datetime, optional) — Created date of the User. Sortable
- `UpdatedDate` (datetime, optional) — Updated date of the User. Sortable
- `ExemptFromUserSync` (boolean, optional) — If a user is exempt from user sync, it will not be updated or deleted by salesforce user sync
- `Href` (string, optional) — Uri where the object can be retrieved.
- `ManagedBy` (UserManagedBy, optional) — The user reports to this user. A user's manager can view things like a user's contacts and work items
- `ManagedUsers` (UserManagedUsers, optional) — The users managed by this user. A user's manager can view things like a user's contacts and work items
- `WorkItems` (UserWorkItems, optional) — Current workflow work items assigned to the user
- `RecentDocuments` (UserRecentDocuments, optional) — The documents most recently accessed by the user
- `WatchedDocumentsProcessTrackingActivities` (UserWatchedDocumentsProcessTrackingActivities, optional) — The workflow steps that are currently pending (waiting) for all of the documents currently watched by the user
- `WorkflowQueues` (UserWorkflowQueues, optional) — The workflow queues that can be accessed by the user
- `Groups` (UserGroups, optional) — Groups to which the user belongs
- `PermissionSets` (UserPermissionSets, optional) — Permission sets that the user is a member of.
- `Persona` (UserPersona, optional) — Primary security group of the user. Determines access and privileges in several places
- `WatchedDocuments` (UserWatchedDocuments, optional) — The documents currently watched by the user

### DocumentProcessTrackingActivity

- `Name` (string, optional) — The name of the tracking activity
- `TypeName` (string, optional) — The type of the tracking activity
- `Status` (string, optional) — The status of the tracking activity
- `Output` (string, optional) — The decision provided for the tracking activity. e.g. "Approved"
- `StageName` (string, optional) — The name of the stage containing this tracking activity
- `StartDate` (datetime, optional) — When the tracking activity began
- `EndDate` (datetime, optional) — When the tracking activity ended
- `DueDate` (datetime, optional) — When the tracking activity is due
- `ProcessUid` (string, optional) — The unique identifier for the document process
- `ProcessName` (string, optional) — The name of the document process
- `Href` (string, optional) — Uri where the object can be retrieved.
- `Document` (DocumentProcessTrackingActivityDocument, optional) — The document to which the process applies
- `UserActions` (DocumentProcessTrackingActivityUserActions, optional) — All user actions for the tracking activity

### DocumentReminder

- `Name` (string, optional) — Name of the document reminder. Filterable and sortable
- `ReminderDate` (datetime, optional) — Date and time (UTC) that the document reminder is to be executed
- `RecipientAdHocEmails` (list of string, optional) — Ad hoc email addresses that will receive the document reminder
- `EmailSubject` (string, optional) — Subject of the email that gets sent to the document reminder recipients
- `EmailBody` (string, optional) — Body of the email that gets sent to the document reminder recipients
- `EmailFromAddress` (string, optional) — From email address of the email that gets sent to the document reminder recipients
- `CreatedDate` (datetime, optional) — Created date of the document reminder. Sortable
- `CreatedBy` (string, optional) — Username of the user that created the document reminder. Sortable
- `UpdatedDate` (datetime, optional) — Last updated date for the document reminder. Sortable
- `UpdatedBy` (string, optional) — Username of the user that last updated the document reminder. Sortable
- `Href` (string, optional) — Uri where the object can be retrieved.
- `RecipientContacts` (DocumentReminderRecipientContacts, optional) — Contacts that will receive the document reminder
- `RecipientUsers` (DocumentReminderRecipientUsers, optional) — Users that will receive the document reminder
- `RecipientGroups` (DocumentReminderRecipientGroups, optional) — Groups that will receive the document reminder
- `Document` (DocumentReminderDocument, optional) — The document to which the reminder applies

### WorkItem

- `Name` (string, optional) — Name of the work item. Filterable and sortable
- `Type` (string, optional) — Name of the step represented by this work item. Possible values include Approve Documents, Choice, Choose Documents, Choose Users, Edit Documents, and Fill Form. Filterable
- `AssignDate` (datetime, optional) — Date and time this work item was assigned to a user. Sortable
- `DueDate` (datetime, optional) — Date and time this work item is due. If null, there is no due date. Sortable
- `AssigneeInstructions` (string, optional) — Instructions given by the designer of this workflow to the assignee to complete this work item
- `CreatedDate` (datetime, optional) — Date and time that the work item was created. Sortable
- `WorkItemUrl` (string, optional) — Link to work item in the workflow inbox.
- `Href` (string, optional) — Uri where the object can be retrieved.
- `Assignee` (WorkItemAssignee, optional) — User to whom this work item is assigned
- `Documents` (WorkItemDocuments, optional) — Collection of documents associated with this work item
- `Workflow` (WorkItemWorkflow, optional) — The workflow that contains this work item
- `Selections` (WorkItemSelections, optional) — List of all possible choices that can be used to complete the work item. Used in combination with the Selected property
- `Selected` (WorkItemSelected, optional) — Populate this property based on instructions using option(s) from the Selections property to complete the work item

### ShareLinkFolder

Folder shared by the share link. Folder or Document is required when creating a new share link, but not both. Will be null if the share link is for a document

- Folder: Folder

### ShareLinkDocument

Document shared by the share link. Document or Folder is required when creating a new share link, but not both. Will be null if the share link is for a folder

- Document: Document

### Group

- `Name` (string, optional) — Name of the group. Required when creating a new group and must have at least one character of any kind except greater than and less than symbols. Filterable and sortable
- `Description` (string, optional) — Description of the group. Filterable and sortable
- `GroupType` (string, optional) — Type of the group. Possibilities: security and distribution. Required when creating a new group. Filterable and sortable
- `CreatedDate` (datetime, optional) — Created date of the Group
- `UpdatedDate` (datetime, optional) — Updated date of the group
- `Href` (string, optional) — Uri where the object can be retrieved.
- `GroupMembers` (GroupGroupMembers, optional) — Users that are members of the group

### HistoryItemUser

User who performed the action represented by the history item. Filterable and Sortable

- User: User

### HistoryItemRelatedDocument

Additional document (not the owner of the history item) that is related to the action. e.g. if the document was created by splitting another document, RelatedDocument is the document that was split

- Document: Document

### UserManagedBy

The user reports to this user. A user's manager can view things like a user's contacts and work items

- User: User

### UserManagedUsers

The users managed by this user. A user's manager can view things like a user's contacts and work items

- ApiCollection_User_: ApiCollection_User_

### UserWorkItems

Current workflow work items assigned to the user

- ApiCollection_WorkItem_: ApiCollection_WorkItem_

### UserRecentDocuments

The documents most recently accessed by the user

- ApiCollection_Document_: ApiCollection_Document_

### UserWatchedDocumentsProcessTrackingActivities

The workflow steps that are currently pending (waiting) for all of the documents currently watched by the user

- ApiCollection_DocumentProcessTrackingActivity_: ApiCollection_DocumentProcessTrackingActivity_

### UserWorkflowQueues

The workflow queues that can be accessed by the user

- ApiCollection_WorkflowQueue_: ApiCollection_WorkflowQueue_

### UserGroups

Groups to which the user belongs

- ApiCollection_Group_: ApiCollection_Group_

### UserPermissionSets

Permission sets that the user is a member of.

- ApiCollection_PermissionSet_: ApiCollection_PermissionSet_

### UserPersona

Primary security group of the user. Determines access and privileges in several places

- Group: Group

### UserWatchedDocuments

The documents currently watched by the user

- ApiCollection_Document_: ApiCollection_Document_

### DocumentProcessTrackingActivityDocument

The document to which the process applies

- Document: Document

### DocumentProcessTrackingActivityUserActions

All user actions for the tracking activity

- ApiCollection_UserAction_: ApiCollection_UserAction_

### DocumentReminderRecipientContacts

Contacts that will receive the document reminder

- ApiCollection_Contact_: ApiCollection_Contact_

### DocumentReminderRecipientUsers

Users that will receive the document reminder

- ApiCollection_User_: ApiCollection_User_

### DocumentReminderRecipientGroups

Groups that will receive the document reminder

- ApiCollection_Group_: ApiCollection_Group_

### DocumentReminderDocument

The document to which the reminder applies

- Document: Document

### WorkItemAssignee

User to whom this work item is assigned

- User: User

### WorkItemDocuments

Collection of documents associated with this work item

- ApiCollection_Document_: ApiCollection_Document_

### WorkItemWorkflow

The workflow that contains this work item

- Workflow: Workflow

### WorkItemSelections

List of all possible choices that can be used to complete the work item. Used in combination with the Selected property

- WorkItemSelection: WorkItemSelection

### WorkItemSelected

Populate this property based on instructions using option(s) from the Selections property to complete the work item

- WorkItemSelection: WorkItemSelection

### GroupGroupMembers

Users that are members of the group

- ApiCollection_User_: ApiCollection_User_

### ApiCollection_User_

- `Items` (list of User, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_WorkflowQueue_

- `Items` (list of WorkflowQueue, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_Group_

- `Items` (list of Group, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_PermissionSet_

- `Items` (list of PermissionSet, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_UserAction_

- `Items` (list of UserAction, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### ApiCollection_Contact_

- `Items` (list of Contact, optional) — The contents of the collection.
- `Href` (string, optional) — Uri of the current collection. Can be used to retrieve the collection at any time.
- `Offset` (integer, optional) — The number of elements in the collection to skip when retrieving the collection.
- `Limit` (integer, optional) — The maximum number of elements retrieved when the collection is retrieved.
- `First` (string, optional) — Uri of the first page of the collection.
- `Previous` (string, optional) — Uri of the previous page of the collection.
- `Next` (string, optional) — Uri of the next page of the collection.
- `Last` (string, optional) — Uri of the last page of the collection.
- `Total` (integer, optional) — Total number of elements in the collection.

### Workflow

- `Name` (string, optional) — The name of the workflow as given in the workflow designer. Required when starting a new workflow
- `StartDate` (datetime, optional) — Date and time the workflow was started
- `EndDate` (datetime, optional) — Date and time the workflow ended. Null if the workflow has not yet ended
- `Status` (string, optional) — Status of the workflow. Possible values include: Execution Pending, Executing, Waiting, Completed, Paused, Failed, Aborted
- `Info` (string, optional) — Additional information associated with the workflow
- `Params` (string, optional) — XML data used when starting the workflow. Only used when starting a new workflow
- `Href` (string, optional) — Uri where the object can be retrieved.
- `WorkflowDocuments` (WorkflowWorkflowDocuments, optional) — Documents passed when starting a workflow. Only used when starting a new workflow

### WorkItemSelection

- `Items` (list of WorkItemSelectionItemsItems, optional) — List of options that can be selected when completing a work item. Type of the options varies with the type of workflow step
- `Comment` (string, optional) — Comment made by the user when completing a work item. Used only when populating the Selected property of a work item
- `Allowed` (string, optional) — Determines the number of selections that can be made. Possible values include One, OneOrMore, and ZeroOrMore

### WorkflowQueue

- `Name` (string, optional) — The name of the workflow queue. Filterable and sortable
- `Description` (string, optional) — Description of the queue. Filterable and sortable
- `CreatedDate` (datetime, optional) — Date and time that the workflow queue was created. Sortable
- `UpdatedDate` (datetime, optional) — Date and time that the workflow queue was last updated. Sortable
- `Href` (string, optional) — Uri where the object can be retrieved.
- `WorkItems` (WorkflowQueueWorkItems, optional) — All work items that are currently assigned to the workflow queue

### PermissionSet

- `Name` (string, optional) — Name of the permission set
- `Permissions` (list of string, optional) — List of permission names. Maps to Enum.PrivilegeTypes
- `Href` (string, optional) — Uri where the object can be retrieved.

### UserAction

- `Action` (string, optional) — The status of the action
- `Output` (string, optional) — The decision provided by the user for the tracking activity. e.g. "Approved"
- `Comments` (string, optional) — Additional comments provided by user at time of completion
- `StartDate` (datetime, optional) — When user starts the tracking activity
- `UpdatedDate` (datetime, optional) — When user starts the tracking activity
- `EndDate` (datetime, optional) — When user ends the tracking activity
- `AssignedTo` (UserActionAssignedTo, optional) — User assigned to the tracking activity.
- `WorkflowQueue` (UserActionWorkflowQueue, optional) — WorkflowQueue of allowable users assigned for the tracking activity.
- `AssignedBy` (UserActionAssignedBy, optional) — User who assigned the activity
- `ActionBy` (UserActionActionBy, optional) — User who took action on the activity. Action can be Reassigning, Unassigning, completing the activity.

### Contact

- `Email` (string, optional) — Email address of the contact. Filterable and sortable
- `FirstName` (string, optional) — First name of the contact. This property is required when creating a new contact. Filterable and sortable
- `LastName` (string, optional) — Last name of the contact. This property is required when creating a new contact. Filterable and sortable
- `Address1` (string, optional) — Line one of the contact's address. Sortable
- `Address2` (string, optional) — Line two of the contact's address. Sortable
- `Address3` (string, optional) — Line three of the contact's address. Sortable
- `City` (string, optional) — The contact's city
- `State` (string, optional) — The contact's state. Sortable
- `ZipCode` (string, optional) — The contact's zip code. Sortable
- `Country` (string, optional) — The contact's country. Sortable
- `Title` (string, optional) — The contact's title. Sortable
- `Company` (string, optional) — The contact's company. Filterable and sortable
- `Department` (string, optional) — The contact's department. Sortable
- `FaxNumber` (string, optional) — The contact's fax number. Sortable
- `PhoneNumber` (string, optional) — The contact's phone number. Sortable
- `Shared` (boolean, optional) — True if the contact is shared, false if it is private and viewable only by its owner
- `Href` (string, optional) — Uri where the object can be retrieved.
- `Groups` (ContactGroups, optional) — The distribution groups of which the contact is a member

### WorkflowWorkflowDocuments

Documents passed when starting a workflow. Only used when starting a new workflow

- ApiCollection_Document_: ApiCollection_Document_

### WorkItemSelectionItemsItems

### WorkflowQueueWorkItems

All work items that are currently assigned to the workflow queue

- ApiCollection_WorkItem_: ApiCollection_WorkItem_

### UserActionAssignedTo

User assigned to the tracking activity.

- UserInfo: UserInfo

### UserActionWorkflowQueue

WorkflowQueue of allowable users assigned for the tracking activity.

- WorkflowQueue: WorkflowQueue

### UserActionAssignedBy

User who assigned the activity

- UserInfo: UserInfo

### UserActionActionBy

User who took action on the activity. Action can be Reassigning, Unassigning, completing the activity.

- UserInfo: UserInfo

### ContactGroups

The distribution groups of which the contact is a member

- ApiCollection_Group_: ApiCollection_Group_

### UserInfo

- `Email` (string, optional) — Email address of the user.
- `FullName` (string, optional) — FullName of the user.
- `User` (UserInfoUser, optional) — Internal User Reference.

### UserInfoUser

Internal User Reference.

- User: User

## Examples

**Response**

```json
{
  "ArchiveSize": 1,
  "Message": "string",
  "DownloadUrl": "string",
  "DestinationDocumentName": "string",
  "Status": "string",
  "Href": "string",
  "BaseFolder": {
    "AccessLevel": {
      "Create": true,
      "Move": true,
      "Read": true,
      "See": true,
      "SetAccess": true,
      "Write": true
    },
    "AttributeGroups": {},
    "BrowseDocumentsUrl": "string",
    "CreateDocumentHref": "string",
    "CreatedBy": "string",
    "CreatedDate": "2024-01-15T09:30:00Z",
    "Description": "string",
    "Documents": {
      "First": "string",
      "Href": "string",
      "Items": [
        {
          "AccessLevel": {
            "Create": true,
            "Move": true,
            "Read": true,
            "See": true,
            "SetAccess": true,
            "Write": true
          },
          "AttributeGroups": {},
          "ContentCreatedDate": "2024-01-15T09:30:00Z",
          "CreatedBy": "string",
          "CreatedDate": "2024-01-15T09:30:00Z",
          "Description": "string",
          "DocumentProcessTrackingActivities": {
            "First": "string",
            "Href": "string",
            "Items": [
              {
                "DueDate": "2024-01-15T09:30:00Z",
                "EndDate": "2024-01-15T09:30:00Z",
                "Href": "string",
                "Name": "string",
                "Output": "string",
                "ProcessName": "string",
                "ProcessUid": "00000000-0000-0000-0000-000000000000",
                "StageName": "string",
                "StartDate": "2024-01-15T09:30:00Z",
                "Status": "string",
                "TypeName": "string",
                "UserActions": {
                  "First": "string",
                  "Href": "string",
                  "Items": [
                    {
                      "Action": "string",
                      "ActionBy": {},
                      "AssignedBy": {},
                      "AssignedTo": {},
                      "Comments": "string",
                      "EndDate": "2024-01-15T09:30:00Z",
                      "Output": "string",
                      "StartDate": "2024-01-15T09:30:00Z",
                      "UpdatedDate": "2024-01-15T09:30:00Z",
                      "WorkflowQueue": {}
                    }
                  ],
                  "Last": "string",
                  "Limit": 1,
                  "Next": "string",
                  "Offset": 1,
                  "Previous": "string",
                  "Total": 1
                }
              }
            ],
            "Last": "string",
            "Limit": 1,
            "Next": "string",
            "Offset": 1,
            "Previous": "string",
            "Total": 1
          },
          "DocumentReminders": {
            "First": "string",
            "Href": "string",
            "Items": [
              {
                "CreatedBy": "string",
                "CreatedDate": "2024-01-15T09:30:00Z",
                "EmailBody": "string",
                "EmailFromAddress": "string",
                "EmailSubject": "string",
                "Href": "string",
                "Name": "string",
                "RecipientAdHocEmails": [
                  "string"
                ],
                "RecipientContacts": {
                  "First": "string",
                  "Href": "string",
                  "Items": [
                    {
                      "Address1": "string",
                      "Address2": "string",
                      "Address3": "string",
                      "City": "string",
                      "Company": "string",
                      "Country": "string",
                      "Department": "string",
                      "Email": "string",
                      "FaxNumber": "string",
                      "FirstName": "string",
                      "Groups": {},
                      "Href": "string",
                      "LastName": "string",
                      "PhoneNumber": "string",
                      "Shared": true,
                      "State": "string",
                      "Title": "string",
                      "ZipCode": "string"
                    }
                  ],
                  "Last": "string",
                  "Limit": 1,
                  "Next": "string",
                  "Offset": 1,
                  "Previous": "string",
                  "Total": 1
                },
                "RecipientGroups": {
                  "First": "string",
                  "Href": "string",
                  "Items": [
                    {
                      "CreatedDate": "2024-01-15T09:30:00Z",
                      "Description": "string",
                      "GroupMembers": {},
                      "GroupType": "string",
                      "Href": "string",
                      "Name": "string",
                      "UpdatedDate": "2024-01-15T09:30:00Z"
                    }
                  ],
                  "Last": "string",
                  "Limit": 1,
                  "Next": "string",
                  "Offset": 1,
                  "Previous": "string",
                  "Total": 1
                },
                "RecipientUsers": {
                  "First": "string",
                  "Href": "string",
                  "Items": [
                    {
                      "Address1": "string",
                      "Address2": "string",
                      "Address3": "string",
                      "City": "string",
                      "Company": "string",
                      "Country": "string",
                      "CreatedDate": "2024-01-15T09:30:00Z",
                      "Department": "string",
                      "Email": "string",
                      "EnableEndDate": "2024-01-15T09:30:00Z",
                      "EnableStartDate": "2024-01-15T09:30:00Z",
                      "ExemptFromUserSync": true,
                      "FaxNumber": "string",
                      "FirstName": "string",
                      "Groups": {},
                      "Href": "string",
                      "LastName": "string",
                      "ManagedBy": {},
                      "ManagedUsers": {},
                      "PermissionSets": {},
                      "Persona": {},
                      "PhoneNumber": "string",
                      "PortalOnly": true,
                      "RecentDocuments": {},
                      "Role": "string",
                      "SendActivationEmail": true,
                      "State": "string",
                      "Title": "string",
                      "UpdatedDate": "2024-01-15T09:30:00Z",
                      "UserName": "string",
                      "WatchedDocuments": {},
                      "WatchedDocumentsProcessTrackingActivities": {},
                      "WorkItems": {},
                      "WorkflowQueues": {},
                      "ZipCode": "string"
                    }
                  ],
                  "Last": "string",
                  "Limit": 1,
                  "Next": "string",
                  "Offset": 1,
                  "Previous": "string",
                  "Total": 1
                },
                "ReminderDate": "2024-01-15T09:30:00Z",
                "UpdatedBy": "string",
                "UpdatedDate": "2024-01-15T09:30:00Z"
              }
            ],
            "Last": "string",
            "Limit": 1,
            "Next": "string",
            "Offset": 1,
            "Previous": "string",
            "Total": 1
          },
          "DownloadDocumentHref": "string",
          "EosParentInfo": {
            "Folder": "string",
            "Name": "string",
            "ObjectId": "string",
            "ObjectType": "string",
            "Path": "string"
          },
          "Extension": "string",
          "HistoryItems": {
            "First": "string",
            "Href": "string",
            "Items": [
              {
                "Action": "string",
                "Comment": "string",
                "CreatedDate": "2024-01-15T09:30:00Z",
                "MoreInfo": "string",
                "User": {
                  "Address1": "string",
                  "Address2": "string",
                  "Address3": "string",
                  "City": "string",
                  "Company": "string",
                  "Country": "string",
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Department": "string",
                  "Email": "string",
                  "EnableEndDate": "2024-01-15T09:30:00Z",
                  "EnableStartDate": "2024-01-15T09:30:00Z",
                  "ExemptFromUserSync": true,
                  "FaxNumber": "string",
                  "FirstName": "string",
                  "Groups": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "Href": "string",
                  "LastName": "string",
                  "ManagedUsers": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "PermissionSets": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "Persona": {
                    "CreatedDate": {},
                    "Description": {},
                    "GroupMembers": {},
                    "GroupType": {},
                    "Href": {},
                    "Name": {},
                    "UpdatedDate": {}
                  },
                  "PhoneNumber": "string",
                  "PortalOnly": true,
                  "Role": "string",
                  "SendActivationEmail": true,
                  "State": "string",
                  "Title": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z",
                  "UserName": "string",
                  "WatchedDocumentsProcessTrackingActivities": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "WorkItems": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "WorkflowQueues": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "ZipCode": "string"
                },
                "UserEmail": "string"
              }
            ],
            "Last": "string",
            "Limit": 1,
            "Next": "string",
            "Offset": 1,
            "Previous": "string",
            "Total": 1
          },
          "Href": "string",
          "IsInTrash": true,
          "Lock": {
            "CheckInHref": "string",
            "Comment": "string",
            "Href": "string",
            "IsLocked": true,
            "LockDate": "2024-01-15T09:30:00Z",
            "LockOwner": {
              "Address1": "string",
              "Address2": "string",
              "Address3": "string",
              "City": "string",
              "Company": "string",
              "Country": "string",
              "CreatedDate": "2024-01-15T09:30:00Z",
              "Department": "string",
              "Email": "string",
              "EnableEndDate": "2024-01-15T09:30:00Z",
              "EnableStartDate": "2024-01-15T09:30:00Z",
              "ExemptFromUserSync": true,
              "FaxNumber": "string",
              "FirstName": "string",
              "Groups": {
                "First": "string",
                "Href": "string",
                "Items": [
                  {
                    "CreatedDate": {},
                    "Description": {},
                    "GroupMembers": {},
                    "GroupType": {},
                    "Href": {},
                    "Name": {},
                    "UpdatedDate": {}
                  }
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "Href": "string",
              "LastName": "string",
              "ManagedUsers": {
                "First": "string",
                "Href": "string",
                "Items": [
                  null
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "PermissionSets": {
                "First": "string",
                "Href": "string",
                "Items": [
                  {
                    "Href": {},
                    "Name": {},
                    "Permissions": {}
                  }
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "Persona": {
                "CreatedDate": "2024-01-15T09:30:00Z",
                "Description": "string",
                "GroupMembers": {},
                "GroupType": "string",
                "Href": "string",
                "Name": "string",
                "UpdatedDate": "2024-01-15T09:30:00Z"
              },
              "PhoneNumber": "string",
              "PortalOnly": true,
              "Role": "string",
              "SendActivationEmail": true,
              "State": "string",
              "Title": "string",
              "UpdatedDate": "2024-01-15T09:30:00Z",
              "UserName": "string",
              "WatchedDocumentsProcessTrackingActivities": {
                "First": "string",
                "Href": "string",
                "Items": [
                  {
                    "Document": {},
                    "DueDate": {},
                    "EndDate": {},
                    "Href": {},
                    "Name": {},
                    "Output": {},
                    "ProcessName": {},
                    "ProcessUid": "00000000-0000-0000-0000-000000000000",
                    "StageName": {},
                    "StartDate": {},
                    "Status": {},
                    "TypeName": {},
                    "UserActions": {}
                  }
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "WorkItems": {
                "First": "string",
                "Href": "string",
                "Items": [
                  {
                    "AssignDate": {},
                    "Assignee": {},
                    "AssigneeInstructions": {},
                    "CreatedDate": {},
                    "Documents": {},
                    "DueDate": {},
                    "Href": {},
                    "Name": {},
                    "Selected": {},
                    "Selections": {},
                    "Type": {},
                    "WorkItemUrl": {},
                    "Workflow": {}
                  }
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "WorkflowQueues": {
                "First": "string",
                "Href": "string",
                "Items": [
                  {
                    "CreatedDate": {},
                    "Description": {},
                    "Href": {},
                    "Name": {},
                    "UpdatedDate": {},
                    "WorkItems": {}
                  }
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "ZipCode": "string"
            },
            "SignatureHref": "string",
            "Type": "string"
          },
          "LockStatus": "string",
          "Name": "string",
          "NativeFileSize": 1,
          "PageCount": 1,
          "Path": "string",
          "PdfFileSize": 1,
          "PreviewUrl": "string",
          "Score": 1.1,
          "ShareLinks": {
            "First": "string",
            "Href": "string",
            "Items": [
              {
                "AllowNativeDownload": true,
                "AllowPdfDownload": true,
                "CreatedBy": "string",
                "CreatedDate": "2024-01-15T09:30:00Z",
                "ExpirationDate": "2024-01-15T09:30:00Z",
                "Href": "string",
                "PreviewBehavior": "string",
                "UpdatedBy": "string",
                "UpdatedDate": "2024-01-15T09:30:00Z",
                "Url": "string"
              }
            ],
            "Last": "string",
            "Limit": 1,
            "Next": "string",
            "Offset": 1,
            "Previous": "string",
            "Total": 1
          },
          "Uid": "string",
          "UpdatedBy": "string",
          "UpdatedDate": "2024-01-15T09:30:00Z",
          "Version": "string",
          "WorkItems": {
            "First": "string",
            "Href": "string",
            "Items": [
              {
                "AssignDate": "2024-01-15T09:30:00Z",
                "Assignee": {
                  "Address1": "string",
                  "Address2": "string",
                  "Address3": "string",
                  "City": "string",
                  "Company": "string",
                  "Country": "string",
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Department": "string",
                  "Email": "string",
                  "EnableEndDate": "2024-01-15T09:30:00Z",
                  "EnableStartDate": "2024-01-15T09:30:00Z",
                  "ExemptFromUserSync": true,
                  "FaxNumber": "string",
                  "FirstName": "string",
                  "Groups": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "Href": "string",
                  "LastName": "string",
                  "ManagedUsers": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "PermissionSets": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "Persona": {
                    "CreatedDate": {},
                    "Description": {},
                    "GroupMembers": {},
                    "GroupType": {},
                    "Href": {},
                    "Name": {},
                    "UpdatedDate": {}
                  },
                  "PhoneNumber": "string",
                  "PortalOnly": true,
                  "Role": "string",
                  "SendActivationEmail": true,
                  "State": "string",
                  "Title": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z",
                  "UserName": "string",
                  "WatchedDocumentsProcessTrackingActivities": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "WorkflowQueues": {
                    "First": {},
                    "Href": {},
                    "Items": {},
                    "Last": {},
                    "Limit": {},
                    "Next": {},
                    "Offset": {},
                    "Previous": {},
                    "Total": {}
                  },
                  "ZipCode": "string"
                },
                "AssigneeInstructions": "string",
                "CreatedDate": "2024-01-15T09:30:00Z",
                "DueDate": "2024-01-15T09:30:00Z",
                "Href": "string",
                "Name": "string",
                "Selected": {
                  "Allowed": "string",
                  "Comment": "string",
                  "Items": [
                    {}
                  ]
                },
                "Selections": {
                  "Allowed": "string",
                  "Comment": "string",
                  "Items": [
                    {}
                  ]
                },
                "Type": "string",
                "WorkItemUrl": "string",
                "Workflow": {
                  "EndDate": "2024-01-15T09:30:00Z",
                  "Href": "string",
                  "Info": "string",
                  "Name": "string",
                  "Params": "string",
                  "StartDate": "2024-01-15T09:30:00Z",
                  "Status": "string"
                }
              }
            ],
            "Last": "string",
            "Limit": 1,
            "Next": "string",
            "Offset": 1,
            "Previous": "string",
            "Total": 1
          }
        }
      ],
      "Last": "string",
      "Limit": 1,
      "Next": "string",
      "Offset": 1,
      "Previous": "string",
      "Total": 1
    },
    "EosInfo": {
      "Folder": "string",
      "Name": "string",
      "ObjectId": "string",
      "ObjectType": "string",
      "Path": "string"
    },
    "EosParentInfo": {
      "Folder": "string",
      "Name": "string",
      "ObjectId": "string",
      "ObjectType": "string",
      "Path": "string"
    },
    "Folders": {
      "First": "string",
      "Href": "string",
      "Items": [
        null
      ],
      "Last": "string",
      "Limit": 1,
      "Next": "string",
      "Offset": 1,
      "Previous": "string",
      "Total": 1
    },
    "Href": "string",
    "Name": "string",
    "Path": "string",
    "PropagateAttributeGroupsToChildren": true,
    "Security": {
      "Groups": [
        {
          "AccessType": "string",
          "Item": {
            "CreatedDate": "2024-01-15T09:30:00Z",
            "Description": "string",
            "GroupMembers": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "Address1": "string",
                  "Address2": "string",
                  "Address3": "string",
                  "City": "string",
                  "Company": "string",
                  "Country": "string",
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Department": "string",
                  "Email": "string",
                  "EnableEndDate": "2024-01-15T09:30:00Z",
                  "EnableStartDate": "2024-01-15T09:30:00Z",
                  "ExemptFromUserSync": true,
                  "FaxNumber": "string",
                  "FirstName": "string",
                  "Groups": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      null
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Href": "string",
                  "LastName": "string",
                  "PermissionSets": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Href": {},
                        "Name": {},
                        "Permissions": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "PhoneNumber": "string",
                  "PortalOnly": true,
                  "RecentDocuments": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AccessLevel": {},
                        "AttachedDocuments": {},
                        "AttributeGroups": {},
                        "ContentCreatedDate": {},
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Description": {},
                        "DocumentProcessTrackingActivities": {},
                        "DocumentReminders": {},
                        "DownloadDocumentHref": {},
                        "EosParentInfo": {},
                        "Extension": {},
                        "HistoryItems": {},
                        "Href": {},
                        "IsInTrash": {},
                        "Lock": {},
                        "LockStatus": {},
                        "Name": {},
                        "NativeFileSize": {},
                        "PageCount": {},
                        "ParentFolder": {},
                        "Path": {},
                        "PdfFileSize": {},
                        "PreviewUrl": {},
                        "RelatedDocuments": {},
                        "Score": {},
                        "ShareLinks": {},
                        "Uid": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {},
                        "Version": {},
                        "Versions": {},
                        "WorkItems": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Role": "string",
                  "SendActivationEmail": true,
                  "State": "string",
                  "Title": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z",
                  "UserName": "string",
                  "WatchedDocuments": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AccessLevel": {},
                        "AttachedDocuments": {},
                        "AttributeGroups": {},
                        "ContentCreatedDate": {},
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Description": {},
                        "DocumentProcessTrackingActivities": {},
                        "DocumentReminders": {},
                        "DownloadDocumentHref": {},
                        "EosParentInfo": {},
                        "Extension": {},
                        "HistoryItems": {},
                        "Href": {},
                        "IsInTrash": {},
                        "Lock": {},
                        "LockStatus": {},
                        "Name": {},
                        "NativeFileSize": {},
                        "PageCount": {},
                        "ParentFolder": {},
                        "Path": {},
                        "PdfFileSize": {},
                        "PreviewUrl": {},
                        "RelatedDocuments": {},
                        "Score": {},
                        "ShareLinks": {},
                        "Uid": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {},
                        "Version": {},
                        "Versions": {},
                        "WorkItems": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "WatchedDocumentsProcessTrackingActivities": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Document": {},
                        "DueDate": {},
                        "EndDate": {},
                        "Href": {},
                        "Name": {},
                        "Output": {},
                        "ProcessName": {},
                        "ProcessUid": "00000000-0000-0000-0000-000000000000",
                        "StageName": {},
                        "StartDate": {},
                        "Status": {},
                        "TypeName": {},
                        "UserActions": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "WorkItems": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AssignDate": {},
                        "Assignee": {},
                        "AssigneeInstructions": {},
                        "CreatedDate": {},
                        "Documents": {},
                        "DueDate": {},
                        "Href": {},
                        "Name": {},
                        "Selected": {},
                        "Selections": {},
                        "Type": {},
                        "WorkItemUrl": {},
                        "Workflow": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "WorkflowQueues": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "CreatedDate": {},
                        "Description": {},
                        "Href": {},
                        "Name": {},
                        "UpdatedDate": {},
                        "WorkItems": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "ZipCode": "string"
                }
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "GroupType": "string",
            "Href": "string",
            "Name": "string",
            "UpdatedDate": "2024-01-15T09:30:00Z"
          }
        }
      ],
      "Roles": [
        {
          "AccessType": "string",
          "Item": "string"
        }
      ],
      "Users": [
        {
          "AccessType": "string",
          "Item": {
            "Address1": "string",
            "Address2": "string",
            "Address3": "string",
            "City": "string",
            "Company": "string",
            "Country": "string",
            "CreatedDate": "2024-01-15T09:30:00Z",
            "Department": "string",
            "Email": "string",
            "EnableEndDate": "2024-01-15T09:30:00Z",
            "EnableStartDate": "2024-01-15T09:30:00Z",
            "ExemptFromUserSync": true,
            "FaxNumber": "string",
            "FirstName": "string",
            "Groups": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Description": "string",
                  "GroupMembers": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      null
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "GroupType": "string",
                  "Href": "string",
                  "Name": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z"
                }
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "Href": "string",
            "LastName": "string",
            "ManagedUsers": {
              "First": "string",
              "Href": "string",
              "Items": [
                null
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "PermissionSets": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "Href": "string",
                  "Name": "string",
                  "Permissions": [
                    "string"
                  ]
                }
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "Persona": {
              "CreatedDate": "2024-01-15T09:30:00Z",
              "Description": "string",
              "GroupMembers": {
                "First": "string",
                "Href": "string",
                "Items": [
                  null
                ],
                "Last": "string",
                "Limit": 1,
                "Next": "string",
                "Offset": 1,
                "Previous": "string",
                "Total": 1
              },
              "GroupType": "string",
              "Href": "string",
              "Name": "string",
              "UpdatedDate": "2024-01-15T09:30:00Z"
            },
            "PhoneNumber": "string",
            "PortalOnly": true,
            "RecentDocuments": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "AccessLevel": {
                    "Create": true,
                    "Move": true,
                    "Read": true,
                    "See": true,
                    "SetAccess": true,
                    "Write": true
                  },
                  "AttributeGroups": {},
                  "ContentCreatedDate": "2024-01-15T09:30:00Z",
                  "CreatedBy": "string",
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Description": "string",
                  "DocumentProcessTrackingActivities": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Document": {},
                        "DueDate": {},
                        "EndDate": {},
                        "Href": {},
                        "Name": {},
                        "Output": {},
                        "ProcessName": {},
                        "ProcessUid": "00000000-0000-0000-0000-000000000000",
                        "StageName": {},
                        "StartDate": {},
                        "Status": {},
                        "TypeName": {},
                        "UserActions": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "DocumentReminders": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Document": {},
                        "EmailBody": {},
                        "EmailFromAddress": {},
                        "EmailSubject": {},
                        "Href": {},
                        "Name": {},
                        "RecipientAdHocEmails": {},
                        "RecipientContacts": {},
                        "RecipientGroups": {},
                        "RecipientUsers": {},
                        "ReminderDate": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "DownloadDocumentHref": "string",
                  "EosParentInfo": {
                    "Folder": "string",
                    "Name": "string",
                    "ObjectId": "string",
                    "ObjectType": "string",
                    "Path": "string"
                  },
                  "Extension": "string",
                  "HistoryItems": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Action": {},
                        "Comment": {},
                        "CreatedDate": {},
                        "MoreInfo": {},
                        "RelatedDocument": {},
                        "User": {},
                        "UserEmail": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Href": "string",
                  "IsInTrash": true,
                  "Lock": {
                    "CheckInHref": "string",
                    "Comment": "string",
                    "Href": "string",
                    "IsLocked": true,
                    "LockDate": "2024-01-15T09:30:00Z",
                    "LockOwner": {},
                    "SignatureHref": "string",
                    "Type": "string"
                  },
                  "LockStatus": "string",
                  "Name": "string",
                  "NativeFileSize": 1,
                  "PageCount": 1,
                  "Path": "string",
                  "PdfFileSize": 1,
                  "PreviewUrl": "string",
                  "Score": 1.1,
                  "ShareLinks": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AllowNativeDownload": {},
                        "AllowPdfDownload": {},
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Document": {},
                        "ExpirationDate": {},
                        "Folder": {},
                        "Href": {},
                        "PreviewBehavior": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {},
                        "Url": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Uid": "string",
                  "UpdatedBy": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z",
                  "Version": "string",
                  "WorkItems": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AssignDate": {},
                        "Assignee": {},
                        "AssigneeInstructions": {},
                        "CreatedDate": {},
                        "Documents": {},
                        "DueDate": {},
                        "Href": {},
                        "Name": {},
                        "Selected": {},
                        "Selections": {},
                        "Type": {},
                        "WorkItemUrl": {},
                        "Workflow": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  }
                }
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "Role": "string",
            "SendActivationEmail": true,
            "State": "string",
            "Title": "string",
            "UpdatedDate": "2024-01-15T09:30:00Z",
            "UserName": "string",
            "WatchedDocuments": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "AccessLevel": {
                    "Create": true,
                    "Move": true,
                    "Read": true,
                    "See": true,
                    "SetAccess": true,
                    "Write": true
                  },
                  "AttributeGroups": {},
                  "ContentCreatedDate": "2024-01-15T09:30:00Z",
                  "CreatedBy": "string",
                  "CreatedDate": "2024-01-15T09:30:00Z",
                  "Description": "string",
                  "DocumentProcessTrackingActivities": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Document": {},
                        "DueDate": {},
                        "EndDate": {},
                        "Href": {},
                        "Name": {},
                        "Output": {},
                        "ProcessName": {},
                        "ProcessUid": "00000000-0000-0000-0000-000000000000",
                        "StageName": {},
                        "StartDate": {},
                        "Status": {},
                        "TypeName": {},
                        "UserActions": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "DocumentReminders": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Document": {},
                        "EmailBody": {},
                        "EmailFromAddress": {},
                        "EmailSubject": {},
                        "Href": {},
                        "Name": {},
                        "RecipientAdHocEmails": {},
                        "RecipientContacts": {},
                        "RecipientGroups": {},
                        "RecipientUsers": {},
                        "ReminderDate": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "DownloadDocumentHref": "string",
                  "EosParentInfo": {
                    "Folder": "string",
                    "Name": "string",
                    "ObjectId": "string",
                    "ObjectType": "string",
                    "Path": "string"
                  },
                  "Extension": "string",
                  "HistoryItems": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Action": {},
                        "Comment": {},
                        "CreatedDate": {},
                        "MoreInfo": {},
                        "RelatedDocument": {},
                        "User": {},
                        "UserEmail": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Href": "string",
                  "IsInTrash": true,
                  "Lock": {
                    "CheckInHref": "string",
                    "Comment": "string",
                    "Href": "string",
                    "IsLocked": true,
                    "LockDate": "2024-01-15T09:30:00Z",
                    "LockOwner": {},
                    "SignatureHref": "string",
                    "Type": "string"
                  },
                  "LockStatus": "string",
                  "Name": "string",
                  "NativeFileSize": 1,
                  "PageCount": 1,
                  "Path": "string",
                  "PdfFileSize": 1,
                  "PreviewUrl": "string",
                  "Score": 1.1,
                  "ShareLinks": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AllowNativeDownload": {},
                        "AllowPdfDownload": {},
                        "CreatedBy": {},
                        "CreatedDate": {},
                        "Document": {},
                        "ExpirationDate": {},
                        "Folder": {},
                        "Href": {},
                        "PreviewBehavior": {},
                        "UpdatedBy": {},
                        "UpdatedDate": {},
                        "Url": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  },
                  "Uid": "string",
                  "UpdatedBy": "string",
                  "UpdatedDate": "2024-01-15T09:30:00Z",
                  "Version": "string",
                  "WorkItems": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "AssignDate": {},
                        "Assignee": {},
                        "AssigneeInstructions": {},
                        "CreatedDate": {},
                        "Documents": {},
                        "DueDate": {},
                        "Href": {},
                        "Name": {},
                        "Selected": {},
                        "Selections": {},
                        "Type": {},
                        "WorkItemUrl": {},
                        "Workflow": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
                  }
                }
              ],
              "Last": "string",
              "Limit": 1,
              "Next": "string",
              "Offset": 1,
              "Previous": "string",
              "Total": 1
            },
            "WatchedDocumentsProcessTrackingActivities": {
              "First": "string",
              "Href": "string",
              "Items": [
                {
                  "Document": {
                    "AccessLevel": {},
                    "AttachedDocuments": {},
                    "AttributeGroups": {},
                    "ContentCreatedDate": "2024-01-15T09:30:00Z",
                    "CreatedBy": "string",
                    "CreatedDate": "2024-01-15T09:30:00Z",
                    "Description": "string",
                    "DocumentProcessTrackingActivities": {},
                    "DocumentReminders": {},
                    "DownloadDocumentHref": "string",
                    "EosParentInfo": {},
                    "Extension": "string",
                    "HistoryItems": {},
                    "Href": "string",
                    "IsInTrash": true,
                    "Lock": {},
                    "LockStatus": "string",
                    "Name": "string",
                    "NativeFileSize": 1,
                    "PageCount": 1,
                    "ParentFolder": {},
                    "Path": "string",
                    "PdfFileSize": 1,
                    "PreviewUrl": "string",
                    "RelatedDocuments": {},
                    "Score": 1.1,
                    "ShareLinks": {},
                    "Uid": "string",
                    "UpdatedBy": "string",
                    "UpdatedDate": "2024-01-15T09:30:00Z",
                    "Version": "string",
                    "Versions": {},
                    "WorkItems": {}
                  },
                  "DueDate": "2024-01-15T09:30:00Z",
                  "EndDate": "2024-01-15T09:30:00Z",
                  "Href": "string",
                  "Name": "string",
                  "Output": "string",
                  "ProcessName": "string",
                  "ProcessUid": "00000000-0000-0000-0000-000000000000",
                  "StageName": "string",
                  "StartDate": "2024-01-15T09:30:00Z",
                  "Status": "string",
                  "TypeName": "string",
                  "UserActions": {
                    "First": "string",
                    "Href": "string",
                    "Items": [
                      {
                        "Action": {},
                        "ActionBy": {},
                        "AssignedBy": {},
                        "AssignedTo": {},
                        "Comments": {},
                        "EndDate": {},
                        "Output": {},
                        "StartDate": {},
                        "UpdatedDate": {},
                        "WorkflowQueue": {}
                      }
                    ],
                    "Last": "string",
                    "Limit": 1,
                    "Next": "string",
                    "Offset": 1,
                    "Previous": "string",
                    "Total": 1
[...]
